<?php

/**
 * Alter menu item that is sent to generate nre menu item.
 *
 * @param \Drupal\menu_link_content\MenuLinkContentInterface $menu_item
 *   Menu item object.
 * @param \Drupal\taxonomy\TermInterface|\Drupal\node\NodeInterface $entity
 *   Taxonomy term or Node object.
 *
 * @ingroup taxonomy_menu_sync
 */
function hook_taxonomy_menu_sync_alter(\Drupal\menu_link_content\MenuLinkContentInterface $menu_item, \Drupal\taxonomy\TermInterface|\Drupal\node\NodeInterface $entity) {
  $menu_item->set('body', $entity->get('body')->value);
}
